This repository has been archived on 2023-08-20. You can view files and clone it, but cannot push or open issues or pull requests.
yap-6.3/Logtalk/scripts/makeall_lgt.sh
pmoura 36a326908c Logtalk 2.28.2 files.
git-svn-id: https://yap.svn.sf.net/svnroot/yap/trunk@1711 b08c6af1-5177-4d33-ba66-4b1c6b8b522a
2006-11-07 17:11:47 +00:00

125 lines
3.0 KiB
Bash
Executable File

#!/bin/sh
## =================================================================
## Logtalk - Object oriented extension to Prolog
## Release 2.28.2
##
## Copyright (c) 1998-2006 Paulo Moura. All Rights Reserved.
## =================================================================
echo
echo "Creating scripts for running Logtalk with selected Prolog compilers..."
echo
if ! [ "$LOGTALKHOME" ]
then
echo "The environment variable LOGTALKHOME must be defined first!"
echo
exit 1
fi
if ! [ -d "$LOGTALKHOME" ]; then
echo "The environment variable LOGTALKHOME points to a non-existing directory!"
echo "Its current value is: $LOGTALKHOME"
echo "The variable must be set to your Logtalk installation directory!"
echo
exit 1
fi
if [ -z "$1" ]; then
prefix=/usr/local
else
prefix="$1"
fi
if ! [ -d "$prefix" ]; then
echo "Directory prefix does not exist!"
echo
exit 1
fi
./make_bplgt.sh $prefix > /dev/null 2> /dev/null
if [ $? = 0 ] ; then
echo "bplgt script created"
else
echo "bplgt script creation failed"
fi
./make_ciaolgt.sh $prefix > /dev/null 2> /dev/null
if [ $? = 0 ] ; then
echo "ciaolgt script created"
else
echo "ciaolgt script creation failed"
fi
./make_eclipselgt.sh $prefix > /dev/null 2> /dev/null
if [ $? = 0 ] ; then
echo "eclipselgt script created"
else
echo "eclipselgt script creation failed"
fi
./make_gplgt.sh $prefix > /dev/null 2> /dev/null
if [ $? = 0 ] ; then
echo "gplgt script created"
else
echo "gplgt script creation failed"
fi
./make_plclgt.sh $prefix > /dev/null 2> /dev/null
if [ $? = 0 ] ; then
echo "plclgt script created"
else
echo "plclgt script creation failed"
fi
./make_qplgt.sh $prefix > /dev/null 2> /dev/null
if [ $? = 0 ] ; then
echo "qplgt script created"
else
echo "qplgt script creation failed"
fi
./make_sicstuslgt.sh $prefix > /dev/null 2> /dev/null
if [ $? = 0 ] ; then
echo "sicstuslgt script created"
else
echo "sicstuslgt script creation failed"
fi
./make_swilgt.sh $prefix > /dev/null 2> /dev/null
if [ $? = 0 ] ; then
echo "swilgt script created"
else
echo "swilgt script creation failed"
fi
./make_xsblgt.sh $prefix > /dev/null 2> /dev/null
if [ $? = 0 ] ; then
echo "xsblgt script created"
else
echo "xsblgt script creation failed"
fi
./make_yaplgt.sh $prefix > /dev/null 2> /dev/null
if [ $? = 0 ] ; then
echo "yaplgt script created"
else
echo "yaplgt script creation failed"
fi
echo
echo "Done. Links to the created scripts can be found on $prefix/bin."
echo "Make sure that the Prolog compilers are also available on your "
echo "execution path."
echo
echo "If you got an unexpected failure when creating or using one of the"
echo "Prolog integration scripts, make sure that the Prolog compiler is"
echo "properly installed, consult the NOTES file on the scripts directory,"
echo "and try to run the corresponding script individually."
echo
echo "Users should ensure that the environment variables LOGTALKHOME"
echo "and LOGTALKUSER are defined and then run the \"cplgtdirs\" script"
echo "once prior to using the Prolog integration scripts."
echo